* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  /* font-size: 10px; */

  /* 10px / 16px = 0.625 = 62.5% */
  /* Percentage of user's browser font-size setting */
  font-size: 62.5%;
}

body {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

header {
  /* background-image: linear-gradient(#C9037F,
      #800066); */
  /* min-height: 100vh; */
  /* background-color: #EF00961A; */
  background-color: #fff;
  padding: 0 3rem;
}

.main-logo {
  width: 7rem;
  height: 7rem;
}

nav {
  padding-top: 3rem;
}

nav ul {
  width: 100%;
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

nav li {
  height: 5rem;
}

nav a {
  height: 100%;
  padding: 0 3rem;
  text-decoration: none;
  display: flex;
  align-items: center;
  color: #1e1e1e;
  font-size: 1.5rem;
  letter-spacing: 1px;
}

nav li:first-child {
  margin-right: auto;
}

nav li:hover a,
nav li.active a {
  color: #C9037F;
  transition: .5s;
  font-size: 1.8rem;
}

/* nav li:active,
nav li:visited {
  color: #101010;
  font-size: 1.8rem;
} */

.blank {
  margin-right: auto;
}

.sidebar {
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 25rem;
  z-index: 999;
  background-color: #6d2953;
  /* background-color: rgba(30, 30, 30, 0.164); */
  backdrop-filter: blur(10px);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}

.sidebar li {
  width: 100%;
}

.sidebar a {
  width: 100%;
}

.nav-icon {
  width: 3rem;
  height: 3rem;
}

.navbar-icon {
  color: #101010;
  height: 3rem;
  width: 3rem;
}

.navbar-button {
  display: none;
}


.pricing-header-text {
  margin: 7rem 0 5rem;
  display: flex;
  justify-self: center;
}

.pricing-header-text h1 {
  font-size: 2.3rem;
  letter-spacing: .8px;
  color: #C9037F;
}


.all-plans {
    margin: 5rem 0 10rem;
    display: flex;
    justify-content: space-around;
}

.premium-maxi {
    height: 70rem;
    width: 35rem;
    background-color: #C9037F;
    border-radius: 30px;
    padding: 4.4rem 3rem;    
}

.premium-maxi h1 {
    color: #ffff;
    font-size: 2.4rem;
    margin-bottom: 1.6rem;
    letter-spacing: .5px;
}


.premium-maxi h2 {
    color: #ffff;
    font-size: 1.5rem;
    font-weight: 500;
    margin-bottom: 1.8rem;
    letter-spacing: .6px;
}

.monthly {
    display: flex;
    gap: 4rem;
    margin: 4rem 0;
}

.monthly span {
    font-size: 2.8rem;
    font-weight: 600;
}

.price-texts {
    color: #ffff;
    font-size: 1.2rem;
}

.month-quarterly {
    display: flex;
    position: relative;
    left: 8rem;
    height: 3rem;
    align-self: flex-end;
}

.month-quarterly p {
    font-size: 1.2rem;
}

.month {
    background-color: #800066;
    padding: 0 12px;
    /* padding: .5rem 1.5rem .5rem; */
    align-content: center;
    border-radius: 14px;
    color: #ffff;
    position: absolute;
    top: 0;
    right: 7rem;
    bottom: 0rem;
}

.quarter {
    background-color: #F8D8EC;
    align-content: center;
    padding: 0 12px 0 18px;
    /* padding: .8rem 2rem .8rem 3rem; */
    border-radius: 14px;
    color: #800066;
}

.feature-text {
    color: #ffff;
    font-size: 1.8rem;
    margin-bottom: 2rem;
}

.features-texts {
    display: flex;
    align-items: center;
    font-size: 1.2rem;
    margin-bottom: 1.4rem;
}

.features-texts p {
    color: #ffff;
    line-height: 1.4;
}

.cities-icon {
    width: 1.5rem;
    height: 1.5rem;
    margin-right: .8rem;
}

.premium-maxi--opt {
    background-color: #FDF8FB;
}

.premium-maxi--opt h1 {
    color: #800066;
}

.premium-maxi--opt h2 {
    color: #1e1e1e;
}

.price-texts--opt {
    color: #1e1e1e;
}

.feature-text--opt {
    color: #C9037F;
}

.features-texts--opt p {
    color: #1e1e1e;
}






.app-soon-section {
   background-color: #1e1e1e;
   justify-items: center;
   justify-content: center;
   display: flex;
    padding: 1.8rem 0 0;
    }

.app-coming-soon {
    display: flex;
    justify-content: center;
}

.app-coming-flex {
      display: flex;
      flex-direction: column;
      gap: 1rem;
}


.app-coming-soon img {
       width: 13rem;
}

.app-on-mobile {
        margin: 1rem 0;
        display: flex;
        gap: 1rem;
}

.app-on-mobile img {
       width: 11rem;
} 

.app-coming-btn {
        display: flex;
        justify-content: center;
        margin-bottom: 1rem;
}

.join-now--footer-btn {
      width: 10.5rem;
      padding: .5rem;
      font-size: 1.2rem;
      margin-bottom: 1rem;
      display: flex;
      /* justify-self: center; */
      justify-content: center;
      border-radius: 5px;
      background-color: #C9037F;
      color: #ededf4;
      border: none;
      letter-spacing: 1.2px;
      box-shadow: 0px 0px 2px 1px #b396a8;
      cursor: pointer;
}

.join-now--footer-btn:hover {
  background-color: #ededf4;
  color: #C9037F;
  transition: .5s;
}
  
footer {
  background-color: #FFE9F7;
}

.footer-container {
  display: flex;
  width: 80%;
  margin: auto;
  padding: 4rem 0;
  gap: 20rem;
}

.footer-logo {
  width: 38%;
}

.footer-logo p {
  color: #101010;
  font-size: 1.6rem;
  line-height: 2;
  margin: 1.5rem 0;
  font-weight: 500;
}

.footer-logo img {
  width: 20%;
}

.footer-icons {
  display: flex;
  gap: 1.5rem;
  margin-top: 2.8rem;
}

.footer-icon {
  width: 2.4rem;
  height: 2.4rem;
}

.footer-side-texts {
  display: flex;
  gap: 10rem;
  align-items: center;
}

.company-legal h1 {
  font-size: 2rem;
  margin-bottom: 1.5rem;
  letter-spacing: 1px;
}

.company-legal span {
  margin-right: 1rem;
}

.footer-li {
  font-size: 1.6rem;
  font-weight: 500;
  letter-spacing: .5px;
  padding: .8rem 0;
  list-style-type: none;
}
